###################################################
### chunk number 1: 
###################################################
#line 25 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(width = 50, digits = 2, scipen = 5)
set.seed(1)
cat.df.without.rownames <- function (d, file = ""){
  stopifnot(is.data.frame(d))
  row.names(d) <- 1:nrow(d)
  x <- NULL
  conn <- textConnection("x", "w", local = TRUE)
  capture.output(print(d), file = conn)
  close(conn)
  cat(substring(x, first = max(nchar(row.names(d))) + 2), sep = "\n", 
      file = file)
}


###################################################
### chunk number 2: 
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
library(backtest)


###################################################
### chunk number 3: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
data(starmine)
names(starmine)


###################################################
### chunk number 4: 
###################################################
#line 113 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
cat.df.without.rownames(as.data.frame.table(table(date = as.character(starmine$date)), responseName = "count"))


###################################################
### chunk number 5: 
###################################################
#line 121 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
current.options <- options(digits = 1, width = 80, scipen = 99)


###################################################
### chunk number 6: 
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
cat.df.without.rownames(starmine[row.names(starmine) %in% c(2254, 9852, 10604, 18953, 62339, 77387, 85739), c("date", "name", "ret.0.1.m", "ret.0.6.m","smi")])


###################################################
### chunk number 7: 
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(current.options)


###################################################
### chunk number 8: 
###################################################
#line 144 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt <- backtest(starmine, in.var = "smi", ret.var = "ret.0.1.m", by.period = FALSE)


###################################################
### chunk number 9: 
###################################################
#line 158 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
table(cut(starmine$smi, breaks = quantile(starmine$smi, probs=seq(0,1,0.20), 
                          na.rm=TRUE, 
                          names=TRUE), 
          include.lowest = TRUE))


###################################################
### chunk number 10: 
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
summary(bt)


###################################################
### chunk number 11: natural portfolio
###################################################
#line 222 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt <- backtest(starmine, id.var = "id",
               date.var = "date", in.var = "smi",
               ret.var = "ret.0.1.m", natural = TRUE, by.period = FALSE)


###################################################
### chunk number 12: 
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
current.options <- options()
options(digits = 1, width = 80)


###################################################
### chunk number 13: summary natural backtest
###################################################
#line 240 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
summary(bt)


###################################################
### chunk number 14: 
###################################################
#line 246 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(current.options)


###################################################
### chunk number 15: 
###################################################
#line 303 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
op <- options(digits = 1)


###################################################
### chunk number 16: smi.2 backtest
###################################################
#line 307 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt <- backtest(starmine,
                     id.var = "id",
                     date.var = "date",
                     in.var = c("smi", "cap.usd"),
                     ret.var = "ret.0.1.m",
                     natural = TRUE,
                     by.period = FALSE)


###################################################
### chunk number 17: 
###################################################
#line 317 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt.save <- bt


###################################################
### chunk number 18: 
###################################################
#line 325 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
summary(bt)


###################################################
### chunk number 19: 
###################################################
#line 328 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(op)


###################################################
### chunk number 20: 
###################################################
#line 349 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
plot(bt, type = "return")


###################################################
### chunk number 21: 
###################################################
#line 364 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
plot(bt.save, type = "cumreturn.split")


###################################################
### chunk number 22: 
###################################################
#line 386 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
plot(bt, type = "turnover")


###################################################
### chunk number 23: 
###################################################
#line 405 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
current.options <- options()
options(digits = 1, width = 50)


###################################################
### chunk number 24: sector backtest
###################################################
#line 410 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt <- backtest(starmine, in.var = "smi", ret.var = "ret.0.1.m", by.var = "sector", by.period = FALSE)


###################################################
### chunk number 25: 
###################################################
#line 414 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(width = 80)


###################################################
### chunk number 26: 
###################################################
#line 418 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
summary(bt)


###################################################
### chunk number 27: 
###################################################
#line 422 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(current.options)


###################################################
### chunk number 28: counts
###################################################
#line 436 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
counts(bt)


###################################################
### chunk number 29: 
###################################################
#line 453 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
current.options <- options()
options(digits = 1, width = 30)


###################################################
### chunk number 30: market cap
###################################################
#line 458 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt <- backtest(starmine, in.var = "smi", ret.var = "ret.0.1.m", by.var = "cap.usd", buckets = c(5, 10), by.period = FALSE)


###################################################
### chunk number 31: 
###################################################
#line 462 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(current.options)


###################################################
### chunk number 32: 
###################################################
#line 466 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
summary(bt)


###################################################
### chunk number 33: 
###################################################
#line 487 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
bt <- backtest(starmine, in.var = "smi", buckets = 4,
               ret.var = c("ret.0.1.m", "ret.0.6.m"), by.period = FALSE)


###################################################
### chunk number 34: 
###################################################
#line 492 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
op <- options(width = 80)


###################################################
### chunk number 35: 
###################################################
#line 496 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
summary(bt)


###################################################
### chunk number 36: 
###################################################
#line 512 "d:/Rcompile/CRANpkg/local/2.12/backtest/inst/doc/backtest.Rnw"
options(op)


